
<?php
/*--------------------------------------------+
| PHP-Fusion v6 - Content Management System   |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|       Tweaked Theme for PHP-Fusion v6       |
|---------------------------------------------|
| author: Lorkan Themes - Shedrock  2005     |
| web: http://phpfusion-themes.com            |
| email: webmaster@phpfusion-themes.com       |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

function mytheme_getinfo() {
	$ret = array();
	$ret['my_themename']             = "".BASEDIR."themes/Tweaked-Blue";	// theme name, also used for theme path name

	$ret['my_doc_textcolor']         = "#111111";	// color for outer (body) text
	$ret['my_doc_backcolor']         = "#E6E9EA";	// color for outer (body) background

	$ret['my_page_width']            = "100%";	// width of content page, in pixel or percentage
	$ret['my_page_align']            = "center";	// alignment of content page, either left, center, or right
	$ret['my_page_linecolor']        = "#3F6393";	// border color between outer (body) and content page
	$ret['my_page_linesize']         = "1";		// border line thickness between outer (body) and content page

	$ret['my_panel_titlecolor']      = "#FFFFFF";	// left and right title color
	$ret['my_panel_backcolor']       = "#F7F8F8";	// default background color for left blocks

	$ret['my_newsbox_width']         = "100%";	// width for news blocks, 99% is highly recommended
	$ret['my_newsbox_linecolor']     = "#8F8F8F";	// border line color for news blocks
	$ret['my_newsbox_linesize']      = "1";		// border line thickness for news blocks
	$ret['my_newsbox_titlecolor']    = "#FFFFFF";	// news blocks title color
	$ret['my_newsbox_textcolor']     = "#000000";	// default text color for news blocks
	$ret['my_newsbox_backcolor']     = "#F7F8F8";	// default background color for news blocks

	$ret['my_obox_width']  		   = "100%";	// width for tables, 100% is highly recommended
	$ret['my_obox_titlecolor']       = "#FCFCEE";	// default text color for opentables
	$ret['my_obox_backcolor']        = "#F7F8F8";	// default background color for opentables

	$ret['my_logohead_color']        = "#EFF1F1";	// background color on logo header area
	$ret['my_menubar_color']         = "#EFF1F1";	// background color on menubar area
	$ret['my_custombar_color']       = "#F7F8F8";	// background color on custom bar area
	$ret['my_trimmer_color']         = "#F7F8F8";	// background color on public message area (user broadcast messages)
	$ret['my_footmsg_color']         = "#EFF1F1";	// background color on footer message area (copyright notice etc)
	$ret['my_footer_textcolor']      = "#1D4E57";	// text color for footer of theme
	$ret['my_unique_textcolor']      = "#4A98E1";	// footer unique hits counter

	return $ret;
									// Note: news and articles use the same definitions
}
	$themeinfo = mytheme_getinfo();
	// news menu and menu css script

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Add comment strings if only using Fire Fox.
echo "<link rel='stylesheet' type='text/css' href='$themeinfo[my_themename]/js/FF_menu.css'/>";

//Remove comment strings if only using Internet Explorer.
//echo "<link rel='stylesheet' type='text/css' href='$themeinfo[my_themename]/js/IE_menu.css'/>";
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	echo "<script language=\"JavaScript\" type=\"text/javascript\" src='$themeinfo[my_themename]/js/menu.js'></script>";

/************************/
/* Theme Settings		*/
/************************/
$body_text = "#000000";
$body_bg = "#E6E9EA";
$theme_width = "100%";
$theme_width_l = "170";
$theme_width_r = "170";

function render_header($header_content) {

global $theme_width, $settings, $userdata;

	$themeinfo = mytheme_getinfo();

	//echo "<body bgcolor='$themeinfo[my_doc_backcolor]' text='$themeinfo[my_doc_textcolor]' link='$themeinfo[my_doc_textcolor]' vlink='$themeinfo[my_doc_textcolor]'>

	echo "<table border='0' cellpadding='0' cellspacing='$themeinfo[my_page_linesize]' width='$themeinfo[my_page_width]' align='$themeinfo[my_page_align]' bgcolor='$themeinfo[my_page_linecolor]'>";
	echo "<tr><td width='100%'>";
	echo "<table border='0' cellpadding='0' cellspacing='0' width='100%' bgcolor='$themeinfo[my_logohead_color]'>";
	echo "<tr><td width='100%'>";
	echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'><tr><td width='100%' height='62'>";
	echo "<table border='0' width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td align='left'><a href='index.php'><img border='0' src='$themeinfo[my_themename]/images/logo_left.gif' alt='".$settings[sitename]."' title='".$settings[sitename]."' hspace='0' vspace='0'></a></td>";
	echo "<td align='center' valign='middle' width='470'>";
	echo "<table border='0' cellpadding='0' cellspacing='0'><tr><td width='468' height='60' align='right'>";
	echo "<table align='right' width='100%' border='0' cellspacing='0' cellpadding='0'><tr>";
	echo "<td><img src='$themeinfo[my_themename]/images/logo_right.gif' border='0' width='468' height='60' alt='".$settings[sitename]."' title='".$settings[sitename]."'>";
	echo "</td></tr></table>";
	echo "</td></tr></table>";
	echo "</td></tr></table>";
	echo "</td></tr></table>";
	echo "</td></tr></table>";
	echo "</td></tr>";
	echo "<tr><td width='100%'>";
	echo "<table border='0' cellpadding='0' cellspacing='0' width='100%' bgcolor='$themeinfo[my_menubar_color]'>";
	echo "<tr><td width='100%'>";
	echo "<table background='$themeinfo[my_themename]/images/cellbg.gif' border='0' cellpadding='0' cellspacing='0' width='100%'>";
	echo "<tr><td width='100%' align='center' valign='middle'>";
	echo "<table border='0' cellpadding='0' cellspacing='3'><tr align='center' valign='middle'>";
	echo "<td><a href='".BASEDIR."index.php'><img border='0' src='$themeinfo[my_themename]/images/home.gif' alt='Home'></a></td>";

if (iMEMBER) {
	echo "<td><a href='".BASEDIR."edit_profile.php'><img border='0' src='$themeinfo[my_themename]/images/account.gif' alt='Your Account'></a></td>";
}else{
	echo "";
}
	echo "<td><a href='".BASEDIR."downloads.php'><img border='0' src='$themeinfo[my_themename]/images/downloads.gif' alt='Downloads'></a></td>";
	echo "<td><a href='".BASEDIR."forum/index.php'><img border='0' src='$themeinfo[my_themename]/images/forums.gif' alt='Forums'></a></td>";

if (iMEMBER) {
	echo "<td><a href='".BASEDIR."submit.php?stype=n'><img border='0' src='$themeinfo[my_themename]/images/submit.gif' alt='Submit News'></a></td>";
}else{
	echo "";
}
	echo "<td><a href='".BASEDIR."articles.php'><img border='0' src='$themeinfo[my_themename]/images/articles.gif' alt='Articles'></a></td>";
	echo "<td><a href='".BASEDIR."search.php'><img border='0' src='$themeinfo[my_themename]/images/search.gif' alt='Search'></a>";
	echo "</td></tr></table>";
	echo "</td></tr></table>";
	echo "</td></tr></table>";
	echo "</td></tr>";
	echo "<tr><td width='100%'>";
	echo "<table border='0' cellpadding='0' cellspacing='0' width='100%' bgcolor='$themeinfo[my_custombar_color]'>";
	echo "<tr><td width='100%'>";
	echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>";
	echo "<tr><td width='100%' height='10'>";
	echo "<table border='0' width='100%' cellpadding='5' cellspacing='0'><tr align='center'>";
	echo "<td align='left' height='100%'>";
	
	// Clock Script

   	echo "<div class='clock' id='Clock'></div>";
	echo "<script type='text/javascript'>
		<!--
		var DayNam = new Array(
		'Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday');
		var MnthNam = new Array(
		'January','February','March','April','May','June','July','August','September','October','November','December');
		//-->
		</script>";
	echo "<script type='text/javascript'  src='$themeinfo[my_themename]/js/clock.js'></script></div></div></td>";

	echo "<td align='right'><table border='0' cellpadding='0' cellspacing='0'><tr>";
	echo "<td align='center' valign='middle' align='absMiddle'>";

if (iMEMBER) {
	echo "<b>Welcome</b> [<span class='uName'>".(iMEMBER ? $userdata['user_name'] : "Guest")."</span>] ";
}else{

	echo "<b>Welcome</b> [<span class='uName'>".(iMEMBER ? $userdata['user_name'] : "Guest")."</span>], ";
	echo "Please (<a href='".BASEDIR."register.php'><b>Register</b></a>)";
}

if (iMEMBER) {
	echo "<a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'><img title='View Your Profile' alt='View Your Profile' src='$themeinfo[my_themename]/images/menuicon/user.gif' align='absMiddle'></a>";
}else{
	echo "";
}
	echo "</td>";
	echo "<td align='center' valign='middle' align='absMiddle'>&nbsp;&nbsp;|&nbsp;&nbsp;</td>";
	echo "<td align='center' valign='middle' align='absMiddle'><a href='".BASEDIR."index.php'><img alt='Home' title='Home' border='0' src='$themeinfo[my_themename]/images/menuicon/home.gif' alt='' align='absMiddle'></a></td>";
	echo "<td align='center' valign='middle' align='absMiddle'>&nbsp;&nbsp;<a href='".BASEDIR."index.php'>Home</a></td>";

if (iMEMBER) {
	echo "<td align='center' valign='middle' align='absMiddle'>&nbsp;&nbsp;|&nbsp;</td>";
	echo "<td align='center' valign='middle'><a href='".BASEDIR."setuser.php?logout=yes'><img alt='Logout' title='Logout' border='0' src='$themeinfo[my_themename]/images/menuicon/logout.gif' alt='' align='absMiddle'></a></td>";
	echo "<td align='center' valign='middle'>&nbsp;&nbsp;<a href='".BASEDIR."setuser.php?logout=yes'>Logout</a></td>";
}else{
	echo "</td>";
}
	echo "</tr></table>";
	echo "</td></tr></table>";
	echo "</td></tr></table>";
	echo "</td></tr></table>";
	echo "</td></tr>";
	echo "<tr><td width='100%'>";
	echo "<table border='0' cellpadding='0' cellspacing='0' width='100%' bgcolor='$themeinfo[my_trimmer_color]'>";
	echo "<tr><td width='100%'><table border='0' cellpadding='5' cellspacing='0' width='100%'>";
	echo "<tr><td width='100%' align='center'>";
	echo "</td></tr></table>";
	echo "</td></tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0' border='0' align='center'>";
	echo "<tr valign='top'>";
	echo "<td valign='middle' align='right'>";
	echo "<table width='100%' cellpadding='5' bgcolor='#F7F8F8' cellspacing='0' border='0'>";
}

function render_footer($license=false) {
	
global $theme_width,$settings,$locale;

	$themeinfo = mytheme_getinfo();

	echo "</td></tr></table>";
	echo "</td></tr></table>";
	echo "</td></tr>";
	echo "<tr><td width='100%'>";
	echo "<table border='0' cellpadding='0' cellspacing='5' width='100%' bgcolor='$themeinfo[my_footmsg_color]'>";
	echo "<tr><td style='color:$themeinfo[my_footer_textcolor];' width='100%'>".stripslashes($settings['footer'])."<br>";
	echo "<table width='100%' cellpadding='0' cellspacing='0' border='0'>";
	echo "<tr valign='middle'><td style='color:$themeinfo[my_footer_textcolor];' align='center'>";

		if ($license == false) {
	echo "Original <b>TweakIt</b> by: Madman <b></b> Re-designed, Re-coded & Ported by: <a target='_blank' href='http://phpfusion-themes.com'>PHP-Fusion Themes</a><br /><br />Powered by <a href='http://www.php-fusion.co.uk' target='_blank'>PHP-Fusion</a> v".$settings['version']." &copy; 2003-2005<br /><br />\n";
}	echo "<span style='color:$themeinfo[my_unique_textcolor]; font-weight:bold;'>";
	echo number_format($settings['counter'])."</span> ".($settings['counter'] == 1 ? $locale['140']."<br />\n" : $locale['141']."<br />\n")."";
	echo "</td></tr></table>";
	echo "</td></tr></table>";
	echo "</td></tr></table>";
}

function render_news($subject, $news, $info) {
	
global $locale, $settings , $data2, $data;
	
	$themeinfo = mytheme_getinfo();

	echo "<table border='0' align='center' width='$themeinfo[my_newsbox_width]' cellpadding='0' cellspacing='0'><tr>";
if (iADMIN && checkrights("N")) echo "<form name='editnews".$data['news_id']."' method='post' action='".ADMIN."news.php?news_id=".$data['news_id']."'>\n";

	echo "<td class='newsborder-topleft' width='8' height='25'></td>";
	echo "<td class='newsborder-top' height='25' align='center' valign='top'><div style='color:$themeinfo[my_newsbox_titlecolor];margin:3px 0px 0px;'><b>$subject</b></div></td>";
	echo "<td class='newsborder-topright' width='8' height='25'></td></tr><tr>";
	echo "<td class='newsborder-left' width='8'></td><td bgcolor='$themeinfo[my_newsbox_backcolor]'>";
	echo "<table border='0' align='center' width='100%' cellspacing='0' cellpadding='3'>";
	echo "<tr><td height='20' colspan='2' align='center' valign='middle'>";

	echo "<div class='mainDiv' state='0'>";
	echo "<div style='padding-left:3px;' align='left' class='news-options' style='cursor:pointer;' onMouseOver=\"Init(this);\"><img src='$themeinfo[my_themename]/images/border/news/dot1.png'> News Options</div>";
	echo "<div class='dropMenu'><div class='subMenu' state='0'>";
	echo "<table cellSpacing='0' cellPadding='0' width='100%' border='0'><tr>";
	echo "<td vAlign='bottom' width='10' height='9'><img height='9' src='$themeinfo[my_themename]/images/border/news/news_tl.gif' width='10'></td>";
	echo "<td class='news_top' width='100' colSpan='2'>&nbsp;</td>";
	echo "<td vAlign='bottom' align='right'><img height='9' src='$themeinfo[my_themename]/images/border/news/news_tr.gif' width='23'></td></tr>";
	echo "<tr><td background='$themeinfo[my_themename]/images/border/news/news_l.gif' height='32'>&nbsp;</td>";
	echo "<td class='newsbg' vAlign='top' width='100%' align='justify' colSpan='2' height='10'>"; 
    	echo "<img src='$themeinfo[my_themename]/images/border/news/dot2.png'> ".$locale['040']."<a class='news-links' href='profile.php?lookup=".$info['user_id']."'><b>".$info['user_name']."</b></a> ";
	echo "".$locale['041'].showdate("longdate", $info['news_date'])."</font><br>";
	echo "<img src='$themeinfo[my_themename]/images/border/news/dot3.png'> View <a class='news-links' href='news_cats.php?cat_id=".$data2['news_cat_id']."'><b>more</b></a> topics under this category<br>";
if (iMEMBER) {
	echo "<img src='$themeinfo[my_themename]/images/border/news/dot4.png'> <a class='news-links' href='".BASEDIR."submit.php?stype=n'><b>Submit</b></a> a news item to ".$settings[sitename]."<br>";
}
	echo "<img src='$themeinfo[my_themename]/images/border/news/dot5.png'> <a class='news-links' href='".BASEDIR."news_cats.php'><b>View</b></a> all News Categories<br>";
if (iADMIN && checkrights("N")) 
	echo "<img src='$themeinfo[my_themename]/images/border/news/dot6.png'> <input type='hidden' name='edit' value='edit'><a class='news-links' href='javascript:document.editnews".$data['news_id'].".submit();'><b>Edit</b></a> this News item</form>";
	echo "</td>";
	echo "<td background='$themeinfo[my_themename]/images/border/news/news_r.gif' height='32'></td></tr>";
	echo "<tr><td><img height='20' src='$themeinfo[my_themename]/images/border/news/news_bl.gif' width='10'></td>";
	echo "<td align='right' width='100%' background='$themeinfo[my_themename]/images/border/news/news_b.gif'>";
	echo "<img height='20' src='$themeinfo[my_themename]/images/border/news/news_but_l.gif' width='17'></td>";
	echo "<td vAlign='center' noWrap align='right' background='$themeinfo[my_themename]/images/border/news/news_but_bg.gif'>";
	echo "<a class='nav' href='#top'><img src='$themeinfo[my_themename]/images/border/news/icon_up.gif' border='0'></a></td>";
	echo "<td align='right'><img height='20' src='$themeinfo[my_themename]/images/border/news/news_br.gif' width='23'>";
	echo "</div></div></td></tr></table></td></tr>";
	echo "<tr valign='top'>";
	echo "<td align='center' valign='top' width='100%' height='100%'>";
	echo "<table border='0' width='100%' cellpadding='0' cellspacing='0'>";
	echo "<tr><td style='padding: 4px 0px 4px 4px;' height='100%' align='left' valign='top'><font class='tiny'>$news</td></tr>";
	echo "<tr><td height='5'><img src='$themeinfo[my_themename]/images/pixel.gif' width='1' height='5' border='0' alt=''> </td></tr>";
	echo "<tr bgcolor='#005080'><td height='1'><img src='$themeinfo[my_themename]/images/pixel.gif' width='1' height='1' border='0' alt=''></td></tr>";
	echo "<tr><td height='5'><img src='$themeinfo[my_themename]/images/pixel.gif' width='1' height='5' border='0' alt=''></td></tr>";
	echo "<tr><td style='padding-left:3px;' class='news-footer' height='5' align='left' valign='middle'><font class='content'>";
	echo "".($info['news_ext'] == "y" ? "<div class='mainDiv' state='0'>
	<div style='padding-left:0px;' align='left' class='news-options' style='cursor:pointer;' onMouseOver=\"Init(this);\"><img src='$themeinfo[my_themename]/images/border/news/readmore.gif'> ".$locale['042']."</div>
	<div class='dropMenu'><div class='subMenu' state='0'><br><h5><font color='#E00045'><strong>Extended News</strong></font>&nbsp;<img src='$themeinfo[my_themename]/images/news-line.gif' height='7'></h5>".stripslashes($data['news_extended'])."<br><br><img src='$themeinfo[my_themename]/images/hr-line.gif' width='100%' vspace='4' height='1' border='0' alt=''>" : "")."";

	if ($info['news_allow_comments'])
	echo "<a href='news.php?readmore=".$info['news_id']."'>".$info['news_comments'].$locale['043']."</a>  ";
	echo "".$info['news_reads'].$locale['044']."  ";
	echo "<a href='print.php?type=N&amp;item_id=".$info['news_id']."'><img src='$themeinfo[my_themename]/images/printer.gif' alt='".$locale['045']."' style='vertical-align:middle;border:0px;'></a>";
	echo"</td></tr></div></font></td></tr></table></td></tr></table></td>";
	echo "<td class='newsborder-right' width='8'></td></tr><tr>";
	echo "<td class='newsborder-bottomleft' width='8' height='8'></td>";
	echo "<td class='newsborder-bottom' height='8' align='center'></td>";
	echo "<td class='newsborder-bottomright' width='8' height='8'></td></tr></table>";
}


function render_article($subject, $article, $info) {
	
global $locale;

	$themeinfo = mytheme_getinfo();

	echo "<table border='0' align='center' width='$themeinfo[my_newsbox_width]' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='articlesborder-topleft' width='8' height='25'></td>";
	echo "<td class='articlesborder-top' height='25' align='center' valign='top'><div style='color:$themeinfo[my_newsbox_titlecolor];margin:3px 0px 0px;'><b>$subject</b></div></td>";
	echo "<td class='articlesborder-topright' width='8' height='25'></td></tr><tr>";
	echo "<td class='articlesborder-left' width='8'></td><td bgcolor='$themeinfo[my_newsbox_backcolor]'>";
	echo "<table border='0' align='center' width='100%' cellspacing='0' cellpadding='5'>";
	echo "<tr><td height='20' colspan='2' align='center' valign='middle'><font class='tiny'>";
	echo "".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ";
	echo "".$locale['041'].showdate("longdate", $info['article_date'])."</font></td></tr>";
	echo "<tr valign='top'>";
	echo "<td align='center' valign='top' width='100%' height='100%'>";
	echo "<table border='0' width='100%' cellpadding='0' cellspacing='0'>";
	echo "<tr><td style='padding: 4px 0px 4px 4px;' height='100%' align='left' valign='top'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td></tr>";
	echo "<tr><td height='5'><img src='$themeinfo[my_themename]/images/pixel.gif' width='1' height='5' border='0' alt=''> </td></tr>";
	echo "<tr bgcolor='#005080'><td height='1'><img src='$themeinfo[my_themename]/images/pixel.gif' width='1' height='1' border='0' alt=''></td></tr>";
	echo "<tr><td height='5'><img src='$themeinfo[my_themename]/images/pixel.gif' width='1' height='5' border='0' alt=''></td></tr>";
	echo "<tr><td class='news-footer' height='5' align='right' valign='middle'><font class='content'>";
	if ($info['article_allow_comments']) echo $info['article_comments'].$locale['043']."  ";
	echo "".$info['article_reads'].$locale['044']."  ";
	echo "<a href='print.php?type=A&item_id=".$info['article_id']."'><img src='$themeinfo[my_themename]/images/printer.gif' alt='".$locale['045']."' border='0' style='vertical-align:middle;'></a>";
	echo "</font></td></tr></table></td></tr></table></td>";
	echo "<td class='articlesborder-right' width='8'></td></tr><tr>";
	echo "<td class='articlesborder-bottomleft' width='8' height='8'></td>";
	echo "<td class='articlesborder-bottom' height='8' align='center'></td>";
	echo "<td class='articlesborder-bottomright' width='8' height='8'></td></tr></table>";
}

// Open table begins
function opentable($title) {

	$themeinfo = mytheme_getinfo();

	echo "<table border='0' align='center' width='$themeinfo[my_obox_width]' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='tableborder-topleft' width='8' height='28'></td>";
	echo "<td class='tableborder-top' height='28'><div align='center' style=\"color:$themeinfo[my_obox_titlecolor];margin:0px 0px 7px 0px;\"><b>$title</b></div></td>";
	echo "<td class='tableborder-topright' width='8' height='28'></td></tr><tr>";
	echo "<td class='tableborder-left' width='8'></td><td bgcolor='$themeinfo[my_obox_backcolor]'>";
	echo "<table width='100%' border='0' cellspacing='0' cellpadding='8'><tr><td class='side-body'>";
}

// Close table end
function closetable() {

	echo "</td></tr></table></td>";
	echo "<td class='tableborder-right' width='8'></td></tr><tr>";
	echo "<td class='tableborder-bottomleft' width='8' height='8'></td>";
	echo "<td class='tableborder-bottom' height='8' align='center'></td>";
	echo "<td class='tableborder-bottomright' width='8' height='8'></td></tr></table>";
}

function openside($title) {

	$themeinfo = mytheme_getinfo();
		$box_titlecolor = $themeinfo['my_panel_titlecolor'];
		$box_backcolor  = $themeinfo['my_panel_backcolor'];
		$box_panelstyle = "panelborder";
		$box_width      = "170px";

	echo "<table border='0' align='center' width='$box_width' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='$box_panelstyle-topleft' width='8' height='28' nowrap></td>";
	echo "<td class='$box_panelstyle-top' height='28' align='center' valign='top' nowrap><div style='color:$box_titlecolor;margin:3px 0px 0px;'><b>$title</b></div></td>";
	echo "<td class='$box_panelstyle-topright' width='8' height='28' nowrap></td></tr><tr>";
	echo "<td class='$box_panelstyle-left' width='8'></td><td bgcolor='$box_backcolor' nowrap>";
	echo "<table border='0' width='100%' cellpadding='0' cellspacing='2'><tr><td class='side-body'>";
}

function closeside() {

$themeinfo = mytheme_getinfo();

		$box_panelstyle = "panelborder";

	echo "</td></tr></table></td>";
	echo "<td class='$box_panelstyle-right' width='8' nowrap></td></tr><tr>";
	echo "<td class='$box_panelstyle-bottomleft' width='8' height='8' nowrap></td>";
	echo "<td class='$box_panelstyle-bottom' height='8' align='center' nowrap></td>";
	echo "<td class='$box_panelstyle-bottomright' width='8' height='8' nowrap></td></tr></table>";
	tablebreak();
}

function opensidex($title,$open="on") {
$box_img = ($open=="on" ? "off" : "on");

$themeinfo = mytheme_getinfo();

		$box_titlecolor = $themeinfo['my_panel_titlecolor'];
		$box_backcolor  = $themeinfo['my_panel_backcolor'];
		$box_panelstyle = "panelborder";
		$box_width      = "170px";

	echo "<table border='0' align='center' width='$box_width' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='$box_panelstyle-topleft' width='8' height='28' nowrap></td>";
	echo "<td class='$box_panelstyle-top' height='28' align='center' valign='top' nowrap><img style='cursor:hand;' align='right'onclick=\"javascript:flipBox('$title')\" name='b_$title' alt='$box_img' border='0' src='$themeinfo[my_themename]/images/panel_$box_img.gif' vspace='2'><div style='color:$box_titlecolor;margin:3px 0px 0px;'><b>$title</b></div></td>";
	echo "<td class='$box_panelstyle-topright' width='8' height='28' nowrap></td></tr><tr>";
	echo "<td class='$box_panelstyle-left' width='8'></td><td bgcolor='$box_backcolor' nowrap>";
	echo "<table border='0' width='100%' cellpadding='0' cellspacing='2'><tr><td class='side-body'>";
	echo "<div id='box_$title'".($open=="off" ? "style='display:none'" : "").">\n";
}


function closesidex() {

$themeinfo = mytheme_getinfo();

	$box_panelstyle = "panelborder";

	echo "</td></tr></table></td>";
	echo "<td class='$box_panelstyle-right' width='8' nowrap></td></tr><tr>";
	echo "<td class='$box_panelstyle-bottomleft' width='8' height='8' nowrap></td>";
	echo "<td class='$box_panelstyle-bottom' height='8' align='center' nowrap></td>";
	echo "<td class='$box_panelstyle-bottomright' width='8' height='8' nowrap></td></tr></table>";
	tablebreak();
}

// Table functions
function tablebreak() {
	echo "<table width='100%' cellspacing='0' cellpadding='0'><tr><td height='8'></td></tr></table>\n";
}
?>